Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158769 - CAN-2005-1740 net-snmp insecure temporary file usage
Summary: CAN-2005-1740 net-snmp insecure temporary file usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard: impact=low,public=20050518,reported=2...
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-25 15:23 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-395
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:39:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:395 qe-ready SHIPPED_LIVE Low: net-snmp security update 2005-10-05 04:00:00 UTC

Description Josh Bressers 2005-05-25 15:23:28 UTC
fixproc in Net-snmp 5.x before 5.2.1-r1 creates temporary files insecurely,
which allows local users to modify the contents of those files to execute
arbitrary commands, or overwrite arbitrary files via a symlink attack.

Comment 1 Josh Bressers 2005-05-25 15:24:23 UTC
This issue should also affect RHEL3

Comment 2 Radek Vokal 2005-06-24 07:38:55 UTC
Bug fixed, due to low impact will appear in next update. 

Comment 6 Josh Bressers 2005-07-29 16:12:14 UTC
This bug is for tracking RHEL4, RHEL3 U6 is now covered by bug 164639

Comment 8 Red Hat Bugzilla 2005-10-05 12:39:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-395.html



Note You need to log in before you can comment on or make changes to this bug.